"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CodeBlockLine = void 0;

var _polished = require("polished");

var _util = require("../util");

var _styles = require("../styles");

var CodeBlockLine = (0, _util.createComponment)("div")(function (_ref) {
  var theme = _ref.theme;
  return (0, _styles.codeBlockLineStyles)(theme);
}, function (_ref2) {
  var highlighted = _ref2.highlighted;

  if (highlighted) {
    return {
      backgroundColor: (0, _polished.transparentize)(0.95, "#FFF")
    };
  }

  return null;
}, function (_ref3) {
  var number = _ref3.number,
      lineNumberCharactersRequired = _ref3.lineNumberCharactersRequired,
      showLineNumbers = _ref3.showLineNumbers;

  if (showLineNumbers) {
    return {
      ":before": {
        color: (0, _polished.transparentize)(0.7, "#FFF"),
        content: "\"".concat(" ".repeat(lineNumberCharactersRequired - Math.floor(Math.log10(number) + 1))).concat(number, " \"")
      }
    };
  }

  return null;
});
exports.CodeBlockLine = CodeBlockLine;