"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CodeBlock = void 0;

var _react = _interopRequireWildcard(require("react"));

var _prismReactRenderer = _interopRequireWildcard(require("prism-react-renderer"));

var _util = require("../util");

var _atoms = require("../atoms");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var CodeBlock = function CodeBlock(_ref) {
  var code = _ref.code,
      language = _ref.language,
      highlight = _ref.highlight,
      showLineNumbers = _ref.showLineNumbers;
  var highlightedLines = (0, _react.useMemo)(function () {
    return (0, _util.parseRangeSetString)(highlight || "") || new Set();
  }, [highlight]);
  return _react["default"].createElement(_prismReactRenderer["default"], _extends({}, _prismReactRenderer.defaultProps, {
    code: code,
    language: language
  }), function (_ref2) {
    var className = _ref2.className,
        style = _ref2.style,
        tokens = _ref2.tokens,
        getLineProps = _ref2.getLineProps,
        getTokenProps = _ref2.getTokenProps;
    return _react["default"].createElement(_atoms.CodeBlockPre, {
      className: className,
      style: style
    }, _react["default"].createElement(_atoms.CodeBlockLineContainer, null, tokens.map(function (line, i) {
      return _react["default"].createElement(_atoms.CodeBlockLine, _extends({
        highlighted: highlightedLines.has(i + 1),
        number: i + 1,
        showLineNumbers: showLineNumbers,
        lineNumberCharactersRequired: Math.floor(Math.log10(tokens.length) + 1)
      }, getLineProps({
        line: line,
        key: i
      })), line.map(function (token, key) {
        return _react["default"].createElement("span", getTokenProps({
          token: token,
          key: key
        }));
      }));
    })));
  });
};

exports.CodeBlock = CodeBlock;