"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.focusShadowStyles = focusShadowStyles;

function focusShadowStyles(theme) {
  var otherShadow = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : "";
  var focusShadowColor = theme.focusShadowColor,
      focusShadowSize = theme.focusShadowSize,
      focusShadowTransitionDuration = theme.focusShadowTransitionDuration;
  return {
    transition: "box-shadow ".concat(focusShadowTransitionDuration, " ease-in"),
    boxShadow: "0 0 0 0px ".concat(focusShadowColor).concat(otherShadow ? ", ".concat(otherShadow) : ""),
    ":focus, :active": {
      outline: "none",
      boxShadow: "0 0 0 ".concat(focusShadowSize, " ").concat(focusShadowColor).concat(otherShadow ? ", ".concat(otherShadow) : "")
    }
  };
}