"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.pageStyles = pageStyles;
exports.pageContentStyles = pageContentStyles;

var _util = require("../util");

var _box = require("./box");

var _breakpoint = require("./breakpoint");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function pageStyles(theme) {
  var totalSpacing = theme.spacings[theme.pageContentHorizontalSpacing] * 2;
  return {
    maxWidth: theme.breakpoints[_breakpoint.Breakpoint.xl] - totalSpacing,
    margin: "auto",
    backgroundColor: theme.pageContentBackgroundColor
  };
}

function pageContentStyles(theme) {
  var totalSpacing = theme.spacings[theme.pageContentHorizontalSpacing] * 2;
  var foo = (0, _util.responsiveStyles)(theme, {
    maxWidth: [// xs
    undefined, // sm,
    theme.breakpoints[_breakpoint.Breakpoint.xs] - totalSpacing, // md
    theme.breakpoints[_breakpoint.Breakpoint.sm] - totalSpacing, // lg
    theme.breakpoints[_breakpoint.Breakpoint.md] - totalSpacing, // xl
    theme.breakpoints[_breakpoint.Breakpoint.lg] - totalSpacing]
  }, function (v) {
    return v;
  });
  console.log(foo);
  return _objectSpread({
    display: "flex",
    flexDirection: "column",
    margin: "auto"
  }, (0, _box.boxStyles)({
    theme: theme,
    px: theme.spacings[theme.pageContentHorizontalSpacing]
  }), {}, foo);
}