"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.parseRangeSetString = parseRangeSetString;

function rangeSetStringIsValid(rangeSetString) {
  return /^\d+(-\d+)?(,\d+(-\d+)?)*$/.test(rangeSetString);
}

function parseRangeSetString(rangeSetString) {
  if (!rangeSetStringIsValid(rangeSetString)) {
    return null;
  }

  var ranges = rangeSetString.split(",");
  var rangeSet = new Set();
  ranges.forEach(function (rangeSpec) {
    var range = rangeSpec.split("-");

    if (range.length === 1) {
      return rangeSet.add(~~range[0]);
    }

    var rangeStart = Math.min(~~range[0], ~~range[1]);
    var rangeEnd = Math.max(~~range[0], ~~range[1]);
    var newRangeSet = new Set();

    for (var i = rangeStart; i <= rangeEnd; i++) {
      newRangeSet.add(i);
    }

    rangeSet = new Set(
    /*#__PURE__*/
    regeneratorRuntime.mark(function _callee() {
      return regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              return _context.delegateYield(rangeSet, "t0", 1);

            case 1:
              return _context.delegateYield(newRangeSet, "t1", 2);

            case 2:
            case "end":
              return _context.stop();
          }
        }
      }, _callee);
    })());
  });
  return rangeSet;
}